> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/company-data/api/historical-headcount-api.md).

# Historical Headcount API

Retrieve monthly historical company headcount and follower data by company ID or shorthand name.

This section covers general details about Historical Headcount API.

{% hint style="info" %}

#### Find out more

Contact our sales team to get access to more information about this API:

<a href="https://coresignal.com/contact-us/?utm_source=web&#x26;utm_medium=public-docs&#x26;utm_campaign=data-consultation" class="button primary">Contact sales</a>
{% endhint %}

## Historical headcount API endpoints

Historical headcount data enables you to see how companies’ social media following and headcount numbers have changed over time.

Retrieve the Historical headcount data using **two collect** endpoints. Collect the data using either `company ID` or `company shorthand name`.

Historical headcount API supports GET requests only.

<table><thead><tr><th width="299.64453125">Endpoint</th><th width="299.54296875">Function</th><th>Credits</th></tr></thead><tbody><tr><td>GET <em>/v2/historical_headcount/collect/{company_id}</em></td><td>Collect Historical Headcount data using company ID</td><td>10</td></tr><tr><td>GET <em>/v2/historical_headcount/collect/{shorthand_name}</em></td><td>Collect Historical Headcount data using company shorthand name</td><td>10</td></tr></tbody></table>

\*📌 Full profile URL example: \_[www.professional-network.com/example-company\_.\\](http://www.professional-network.com/example-company_.\\)
Shorthand name example: *example-company*.

{% hint style="warning" %}
All Historical headcount API requests must be made over HTTPS. Requests made over HTTP will fail or be redirected to HTTPS.
{% endhint %}

## FAQ

The data you receive from the Historical headcount API differs from company data.

<details>

<summary>How often is the data updated?</summary>

Historical headcount data is updated once a month (at the beginning of the month).

</details>

## Dictionary

<table data-search="false"><thead><tr><th>Data field</th><th>Description</th><th>Data type</th></tr></thead><tbody><tr><td><code>created</code></td><td>Record creation timestamp</td><td>String</td></tr><tr><td><code>company_id</code></td><td>Company record ID assigned in the database</td><td>Integer</td></tr><tr><td><code>source_id</code></td><td>Professional network in-house company ID (static)</td><td>Integer</td></tr><tr><td><code>professional_network_url</code></td><td>Professional network profile URL<br><strong>Note</strong>: seen as <code>canonical_url</code> in our company data</td><td>String</td></tr><tr><td><code>shorthand_name</code></td><td>Dynamic part of the URL used to identify companies<br><strong>Note</strong>: seen as <code>company_shorthand_name</code> in our company data</td><td>String</td></tr><tr><td><code>canonical_shorthand_name</code></td><td>Most recent version of the <code>shorthand_name</code></td><td>String</td></tr><tr><td><code>name</code></td><td>Name</td><td>String</td></tr><tr><td><code>website</code></td><td>Website</td><td>String</td></tr><tr><td><code>size</code></td><td>Employee count</td><td>String</td></tr><tr><td><code>industry</code></td><td>Associated industry</td><td>String</td></tr><tr><td><code>type</code></td><td>Type</td><td>String</td></tr><tr><td><code>location</code></td><td>Location</td><td>String</td></tr><tr><td><code>country</code></td><td>Location (country)</td><td>String</td></tr><tr><td><code>headcount</code></td><td>Headcount</td><td>Integer</td></tr><tr><td><code>follower_count</code></td><td>Profile follower count</td><td>Integer</td></tr></tbody></table>

### Response sample

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% code title="Response example" expandable="true" %}

```json
[
  {
    "created": "2023-12-19 08:42:33",
    "company_id": 8579547,
    "source_id": 1586,
    "professional_network_url": "https://www.professional_network.com/company/example-company",
    "shorthand_name": "example-company",
    "canonical_shorthand_name": "example-company",
    "name": "Amazon",
    "website": "https://www.example-company.com/",
    "size": "10,001+ employees",
    "industry": "Software Development",
    "type": "Private Company",
    "location": "San Francisco, CA",
    "country": "United States",
    "headcount": 119730,
    "follower_count": 229985793
  },
  {
    "created": "2023-11-21 09:54:07",
    "company_id": 8579547,
    "source_id": 1586,
    "professional_network_url": "https://www.professional_network.com/company/example-company",
    "shorthand_name": "example-company",
    "canonical_shorthand_name": "example-company",
    "name": "Amazon",
    "website": "https://www.about-example-company.com/",
    "size": "10,001+ employees",
    "industry": "Software Development",
    "type": "Private Company",
    "location": "San Francisco, CA",
    "country": "United States",
    "headcount": 86538,
    "follower_count": 1711354
  },
  {
    "created": "2023-10-08 18:22:51",
    "company_id": 8579547,
    "source_id": 1586,
    "professional_network_url": "https://www.professional_network.com/company/example-company",
    "shorthand_name": "example-company",
    "canonical_shorthand_name": "example-company",
    "name": "Amazon",
    "website": "https://www.example-company.com/",
    "size": "10,001+ employees",
    "industry": "Software Development",
    "type": "Private Company",
    "location": "San Francisco, CA",
    "country": "United States",
    "headcount": 10350,
    "follower_count": 12866
  }
. . .
]
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coresignal.com/company-data/api/historical-headcount-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
